<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>○○掲示板 | ホーム</title>
    <!-- header.cssの読み込み -->
    <link href="css/header.css" rel="stylesheet" type="text/css" />
    <!-- BootstrapのCSS読み込み -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- home.cssの読み込み -->
    <link href="css/home.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <!-- ヘッダー -->
    <header class="sticky-top mb-5">
        <nav class="navbar navbar-expand-lg navbar-light bg-white  pt-5">
            <div class="container-fluid">
              <div class="collapse navbar-collapse row justify-content-center" id="navbarTogglerDemo02">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0   border-bottom">
                  <li class="nav-item">
                      <!-- Homeへ遷移 -->
                      <a class="nav-link" href="#">Home</a>
                  </li>
                  <li class="nav-item ">
                    <!-- ユーザ詳細画面へ遷移 -->
                    <a class="nav-link" href="#">loginusername</a>
                  </li>
                  <li class="nav-item">
                    <!-- ログイン画面へ遷移 -->
                    <a class="nav-link" href="#">logout</a>
                  </li>
                </ul>
              </div>
            </div>
        </nav>
    </header>

    <div class="container pb-5">
        <div class="row">
            <div class="col">
                <h1 class="text-center">○○掲示板</h1>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div class="card">
                    <div class="card-body">
                        <!-- 検索フォーム -->
                        <form method="post" action="ThreadSearchServlet">
                            <div class="form-group row">
                                <label for="title" class="col-2 col-form-label">スレッドタイトル</label>
                                <div class="col-10">
                                    <!-- タイトル入力 -->
                                    <input type="text" name="title" class="form-control" id="title" value="タイトル">
                                </div>
                            </div>
                            <!-- ここに追加していく カテゴリーを2つ追加 forEachで選択肢を表示する-->
                            <input type="hidden" name="prefecture-id" value="${prefecture.id}">
                            <div class="form-group row">
                                <label for="prefecture" class="col-2 col-form-label">都道府県</label>
                                <div class="col-2">
                                    <select class="form-select form-control" name="prefecture" size="1">
                                        <option selected value="サンプル1">北海道</option>
                                        <option value="サンプル2">青森県</option>
                                    </select>
                                </div>
                            </div>
                            <!-- 追加 -->
                            <input type="hidden" name="thread-id" value="${thread.id}">
                            <div class="form-group row">
                                <label for="situation" class="col-2 col-form-label">シチュエーション</label>
                                <div class="col-2">
                                    <select class="form-select form-control" name="situation" size="1">
                                        <option selected value="サンプル1">海</option>
                                        <option value="サンプル2">山</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-2 col-form-label">投稿日</label>
                                <div class="col-10">
                                    <div class="row">
                                        <div class="col-5">
                                            <!-- 投稿日 （開始日） -->
                                            <input type="date" name="start-date" id="startPostDate" class="form-control"
                                                value="2000-11-11">
                                        </div>
                                        <div class="col-2 text-center">~</div>
                                        <div class="col-5">
                                            <!-- 投稿日 （終了日） -->
                                            <input type="date" name="end-date" id="endDate" class="form-control"
                                                value="2010-12-31">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="text-right">
                                <button type="submit" class="btn btn-primary btn-lg form-submit">検索</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col mt-3 d-flex justify-content-between">
                <h3 class="text-center">スレッド一覧</h3>
                <!-- スレッド追加リンク-->
                <p><a class="text-primary" href="thread_add.html">スレッドを立てる</a></p>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div class="card">
                    <table class="table">
                        <thead class="thead-light">
                            <tr>
                                <th>タイトル</th>
                                <th>更新日</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- スレッド表示用 for文 -->
                            <c:forEach var="thread" items="${threadList}">
                                <tr>
                                    <td class="col-9">
                                        <!-- スレッド表示・コメント投稿ページ リンク -->
                                        <a href="thread_comment.html?id=${thread.id}"
                                            class="text-primary">スレッドタイトル</a>
                                    </td>
                                    <!-- スレッド表示・コメント投稿ページ リンク -->
                                    <td>2000年12月12日 14時20分</td>
                                    <td class="text-right col-1">
                                        <!-- スレッド削除ボタン 表示制御 -->
                                        <c:if test="${userInfo.id == thread.userId}">
                                            <!-- スレッド削除ボタン -->
                                            <a type="button" class="btn btn-danger"
                                                href="thread_comment_delete.html?id=${thread.id}">削除</a>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
</body>

</html>